API Explorer 1 endpoints

Create Customer Account Link

POST /obp/v7.0.0/banks/BANK_ID/customer-account-links

OBPv5.0.0-createCustomerAccountLink Roles: CanCreateCustomerAccountLink(per bank) CustomerAccount

Link a Customer to a Account

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON request body fields (4)
account_id
8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
bank_id
gh.29.uk
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
relationship_type
Owner
JSON response body fields (5)
account_id
8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
bank_id
gh.29.uk
customer_account_link_id
xyz8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
relationship_type
Owner
Example request body
{
  "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "bank_id": "gh.29.uk",
  "account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
  "relationship_type": "Owner"
}
Example success response
{
  "customer_account_link_id": "xyz8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "bank_id": "gh.29.uk",
  "account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
  "relationship_type": "Owner"
}
Possible errors (9)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID.
  • OBP-10001: Incorrect json format.
  • OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.
  • OBP-20006: User is missing one or more roles:
  • OBP-30223: The Account is already linked to a Customer at the bank specified by BANK_ID
  • OBP-30224: Could not create the customer account link.
  • OBP-50000: Unknown Error.
Implemented by OBPv5.0.0 createCustomerAccountLink Originally /obp/v5.0.0/banks/BANK_ID/customer-account-links